Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064536 - Double Free in nmcli
Summary: Double Free in nmcli
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-12 19:46 UTC by D.S. Ljungmark
Modified: 2016-04-21 07:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-24 10:03:31 UTC


Attachments (Terms of Use)

Description D.S. Ljungmark 2014-02-12 19:46:27 UTC
Description of problem:
My network was down, (router issues) so i tried ifup em1. 
Instead of giving me a network, it crashed on me.



Version-Release number of selected component (if applicable):
NetworkManager-0.9.9.0-28.git20131003.fc20.x86_64

How reproducible:
ifup em1

[root@Waves ~]# ifconfig em1
em1: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet6 fe80::8e89:a5ff:fec1:1ac2  prefixlen 64  scopeid 0x20<link>
        ether 8c:89:a5:c1:1a:c2  txqueuelen 1000  (Ethernet)
        RX packets 5  bytes 706 (706.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 158  bytes 17891 (17.4 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
        device interrupt 20  memory 0xf4f00000-f4f20000  

[root@Waves ~]# ifup em1
*** Error in `nmcli': double free or corruption (fasttop): 0x00007fb9082490a0 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x75cff)[0x7fb903579cff]
/lib64/libc.so.6(+0x7cff8)[0x7fb903580ff8]
/lib64/libglib-2.0.so.0(g_free+0xf)[0x7fb903911f7f]
/lib64/libnm-glib.so.4(+0x1fb37)[0x7fb90608fb37]
nmcli(+0x25110)[0x7fb906767110]
nmcli(+0x26bc4)[0x7fb906768bc4]
/lib64/libgobject-2.0.so.0(+0x104c7)[0x7fb903bff4c7]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x479)[0x7fb903c18749]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x8f)[0x7fb903c193af]
/lib64/libnm-glib.so.4(+0x2a1f8)[0x7fb90609a1f8]
/lib64/libgio-2.0.so.0(g_simple_async_result_complete+0x87)[0x7fb90472d787]
/lib64/libnm-glib.so.4(+0x26d6b)[0x7fb906096d6b]
/lib64/libnm-glib.so.4(+0x26f71)[0x7fb906096f71]
/lib64/libdbus-1.so.3(+0xcad2)[0x7fb904056ad2]
/lib64/libdbus-1.so.3(dbus_connection_dispatch+0xa1)[0x7fb904059dc1]
/lib64/libdbus-glib-1.so.2(+0xad65)[0x7fb90429cd65]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x166)[0x7fb90390c2a6]
/lib64/libglib-2.0.so.0(+0x49628)[0x7fb90390c628]
/lib64/libglib-2.0.so.0(g_main_loop_run+0x6a)[0x7fb90390ca3a]
nmcli(main+0x225)[0x7fb906756b15]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x7fb903525d65]
nmcli(+0x14c45)[0x7fb906756c45]
======= Memory map: ========
7fb8fad42000-7fb8fadbc000 r-xp 00000000 fd:00 833016                     /usr/lib64/libfreebl3.so
7fb8fadbc000-7fb8fafbb000 ---p 0007a000 fd:00 833016                     /usr/lib64/libfreebl3.so
7fb8fafbb000-7fb8fafbd000 r--p 00079000 fd:00 833016                     /usr/lib64/libfreebl3.so
7fb8fafbd000-7fb8fafbe000 rw-p 0007b000 fd:00 833016                     /usr/lib64/libfreebl3.so
7fb8fafbe000-7fb8fafc2000 rw-p 00000000 00:00 0 
7fb8fafc2000-7fb8fb07a000 r-xp 00000000 fd:00 834167                     /usr/lib64/libsqlite3.so.0.8.6
7fb8fb07a000-7fb8fb27a000 ---p 000b8000 fd:00 834167                     /usr/lib64/libsqlite3.so.0.8.6
7fb8fb27a000-7fb8fb27c000 r--p 000b8000 fd:00 834167                     /usr/lib64/libsqlite3.so.0.8.6
7fb8fb27c000-7fb8fb27f000 rw-p 000ba000 fd:00 834167                     /usr/lib64/libsqlite3.so.0.8.6
7fb8fb27f000-7fb8fb2c1000 r-xp 00000000 fd:00 807781                     /usr/lib64/libsoftokn3.so
7fb8fb2c1000-7fb8fb4c0000 ---p 00042000 fd:00 807781                     /usr/lib64/libsoftokn3.so
7fb8fb4c0000-7fb8fb4c2000 r--p 00041000 fd:00 807781                     /usr/lib64/libsoftokn3.so
7fb8fb4c2000-7fb8fb4c3000 rw-p 00043000 fd:00 807781                     /usr/lib64/libsoftokn3.so
7fb8fb4c3000-7fb9019ec000 r--p 00000000 fd:00 815527                     /usr/lib/locale/locale-archive
7fb9019ec000-7fb9019ed000 ---p 00000000 00:00 0 
7fb9019ed000-7fb9021ed000 rw-p 00000000 00:00 0                          [stack:2465]
7fb9021ed000-7fb902202000 r-xp 00000000 fd:00 788071                     /usr/lib64/libgcc_s-4.8.2-20131212.so.1
7fb902202000-7fb902401000 ---p 00015000 fd:00 788071                     /usr/lib64/libgcc_s-4.8.2-20131212.so.1
7fb902401000-7fb902402000 r--p 00014000 fd:00 788071                     /usr/lib64/libgcc_s-4.8.2-20131212.so.1
7fb902402000-7fb902403000 rw-p 00015000 fd:00 788071                     /usr/lib64/libgcc_s-4.8.2-20131212.so.1
7fb902403000-7fb902427000 r-xp 00000000 fd:00 805417                     /usr/lib64/liblzma.so.5.0.99
7fb902427000-7fb902626000 ---p 00024000 fd:00 805417                     /usr/lib64/liblzma.so.5.0.99
7fb902626000-7fb902627000 r--p 00023000 fd:00 805417                     /usr/lib64/liblzma.so.5.0.99
7fb902627000-7fb902628000 rw-p 00024000 fd:00 805417                     /usr/lib64/liblzma.so.5.0.99
7fb902628000-7fb90268d000 r-xp 00000000 fd:00 786497                     /usr/lib64/libpcre.so.1.2.1
7fb90268d000-7fb90288c000 ---p 00065000 fd:00 786497                     /usr/lib64/libpcre.so.1.2.1
7fb90288c000-7fb90288d000 r--p 00064000 fd:00 786497                     /usr/lib64/libpcre.so.1.2.1
7fb90288d000-7fb90288e000 rw-p 00065000 fd:00 786497                     /usr/lib64/libpcre.so.1.2.1
7fb90288e000-7fb90289e000 r-xp 00000000 fd:00 816565                     /usr/lib64/libudev.so.1.4.0
7fb90289e000-7fb902a9e000 ---p 00010000 fd:00 816565                     /usr/lib64/libudev.so.1.4.0
7fb902a9e000-7fb902a9f000 r--p 00010000 fd:00 816565                     /usr/lib64/libudev.so.1.4.0
7fb902a9f000-7fb902aa0000 rw-p 00011000 fd:00 816565                     /usr/lib64/libudev.so.1.4.0
7fb902aa0000-7fb902ab6000 r-xp 00000000 fd:00 821358                     /usr/lib64/libresolv-2.18.so
7fb902ab6000-7fb902cb6000 ---p 00016000 fd:00 821358                     /usr/lib64/libresolv-2.18.so
7fb902cb6000-7fb902cb7000 r--p 00016000 fd:00 821358                     /usr/lib64/libresolv-2.18.so
7fb902cb7000-7fb902cb8000 rw-p 00017000 fd:00 821358                     /usr/lib64/libresolv-2.18.so
7fb902cb8000-7fb902cba000 rw-p 00000000 00:00 0 
7fb902cba000-7fb902cdb000 r-xp 00000000 fd:00 814709                     /usr/lib64/libselinux.so.1
7fb902cdb000-7fb902eda000 ---p 00021000 fd:00 814709                     /usr/lib64/libselinux.so.1
7fb902eda000-7fb902edb000 r--p 00020000 fd:00 814709                     /usr/lib64/libselinux.so.1
7fb902edb000-7fb902edc000 rw-p 00021000 fd:00 814709                     /usr/lib64/libselinux.so.1
7fb902edc000-7fb902ede000 rw-p 00000000 00:00 0 
7fb902ede000-7fb902ee5000 r-xp 00000000 fd:00 797469                     /usr/lib64/libffi.so.6.0.1
7fb902ee5000-7fb9030e4000 ---p 00007000 fd:00 797469                     /usr/lib64/libffi.so.6.0.1
7fb9030e4000-7fb9030e5000 r--p 00006000 fd:00 797469                     /usr/lib64/libffi.so.6.0.1
7fb9030e5000-7fb9030e6000 rw-p 00007000 fd:00 797469                     /usr/lib64/libffi.so.6.0.1
7fb9030e6000-7fb9030ed000 r-xp 00000000 fd:00 822089                     /usr/lib64/librt-2.18.so
7fb9030ed000-7fb9032ec000 ---p 00007000 fd:00 822089                     /usr/lib64/librt-2.18.so
7fb9032ec000-7fb9032ed000 r--p 00006000 fd:00 822089                     /usr/lib64/librt-2.18.so
7fb9032ed000-7fb9032ee000 rw-p 00007000 fd:00 822089                     /usr/lib64/librt-2.18.so
7fb9032ee000-7fb903303000 r-xp 00000000 fd:00 831910                     /usr/lib64/libz.so.1.2.8
7fb903303000-7fb903502000 ---p 00015000 fd:00 831910                     /usr/lib64/libz.so.1.2.8
7fb903502000-7fb903503000 r--p 00014000 fd:00 831910                     /usr/lib64/libz.so.1.2.8
7fb903503000-7fb903504000 rw-p 00015000 fd:00 831910                     /usr/lib64/libz.so.1.2.8
7fb903504000-7fb9036b8000 r-xp 00000000 fd:00 786092                     /usr/lib64/libc-2.18.so
7fb9036b8000-7fb9038b8000 ---p 001b4000 fd:00 786092                     /usr/lib64/libc-2.18.so
7fb9038b8000-7fb9038bc000 r--p 001b4000 fd:00 786092                     /usr/lib64/libc-2.18.so
7fb9038bc000-7fb9038be000 rw-p 001b8000 fd:00 786092                     /usr/lib64/libc-2.18.so
7fb9038be000-7fb9038c3000 rw-p 00000000 00:00 0 
7fb9038c3000-7fb9039ec000 r-xp 00000000 fd:00 808966                     /usr/lib64/libglib-2.0.so.0.3800.2
7fb9039ec000-7fb903bec000 ---p 00129000 fd:00 808966                     /usr/lib64/libglib-2.0.so.0.3800.2
7fb903bec000-7fb903bed000 r--p 00129000 fd:00 808966                     /usr/lib64/libglib-2.0.so.0.3800.2
7fb903bed000-7fb903bee000 rw-p 0012a000 fd:00 808966                     /usr/lib64/libglib-2.0.so.0.3800.2
7fb903bee000-7fb903bef000 rw-p 00000000 00:00 0 
7fb903bef000-7fb903c3e000 r-xp 00000000 fd:00 832731                     /usr/lib64/libgobject-2.0.so.0.3800.2
7fb903c3e000-7fb903e3e000 ---p 0004f000 fd:00 832731                     /usr/lib64/libgobject-2.0.so.0.3800.2
7fb903e3e000-7fb903e3f000 r--p 0004f000 fd:00 832731                     /usr/lib64/libgobject-2.0.so.0.3800.2
7fb903e3f000-7fb903e40000 rw-p 00050000 fd:00 832731                     /usr/lib64/libgobject-2.0.so.0.3800.2
7fb903e40000-7fb903e49000 r-xp 00000000 fd:00 804418                     /usr/lib64/libgudev-1.0.so.0.1.3
7fb903e49000-7fb904048000 ---p 00009000 fd:00 804418                     /usr/lib64/libgudev-1.0.so.0.1.3
7fb904048000-7fb904049000 r--p 00008000 fd:00 804418                     /usr/lib64/libgudev-1.0.so.0.1.3
7fb904049000-7fb90404a000 rw-p 00000000 00:00 0 
7fb90404a000-7fb904090000 r-xp 00000000 fd:00 802917                     /usr/lib64/libdbus-1.so.3.7.4
7fb904090000-7fb904290000 ---p 00046000 fd:00 802917                     /usr/lib64/libdbus-1.so.3.7.4
7fb904290000-7fb904291000 r--p 00046000 fd:00 802917                     /usr/lib64/libdbus-1.so.3.7.4
7fb904291000-7fb904292000 rw-p 00047000 fd:00 802917                     /usr/lib64/libdbus-1.so.3.7.4
7fb904292000-7fb9042b8000 r-xp 00000000 fd:00 823930                     /usr/lib64/libdbus-glib-1.so.2.2.2
7fb9042b8000-7fb9044b8000 ---p 00026000 fd:00 823930                     /usr/lib64/libdbus-glib-1.so.2.2.2
7fb9044b8000-7fb9044b9000 r--p 00026000 fd:00 823930                     /usr/lib64/libdbus-glib-1.so.2.2.2
7fb9044b9000-7fb9044ba000 rw-p 00027000 fd:00 823930                     /usr/lib64/libdbus-glib-1.so.2.2.2
7fb9044ba000-7fb9044bd000 r-xp 00000000 fd:00 798700                     /usr/lib64/libgmodule-2.0.so.0.3800.2
7fb9044bd000-7fb9046bc000 ---p 00003000 fd:00 798700                     /usr/lib64/libgmodule-2.0.so.0.3800.2
7fb9046bc000-7fb9046bd000 r--p 00002000 fd:00 798700                     /usr/lib64/libgmodule-2.0.so.0.3800.2
7fb9046bd000-7fb9046be000 rw-p 00003000 fd:00 798700                     /usr/lib64/libgmodule-2.0.so.0.3800.2
7fb9046be000-7fb90481c000 r-xp 00000000 fd:00 804266                     /usr/lib64/libgio-2.0.so.0.3800.2
7fb90481c000-7fb904a1b000 ---p 0015e000 fd:00 804266                     /usr/lib64/libgio-2.0.so.0.3800.2
7fb904a1b000-7fb904a1f000 r--p 0015d000 fd:00 804266                     /usr/lib64/libgio-2.0.so.0.3800.2
7fb904a1f000-7fb904a21000 rw-p 00161000 fd:00 804266                     /usr/lib64/libgio-2.0.so.0.3800.2
7fb904a21000-7fb904a23000 rw-p 00000000 00:00 0 
7fb904a23000-7fb904a26000 r-xp 00000000 fd:00 820171                     /usr/lib64/libdl-2.18.so
7fb904a26000-7fb904c25000 ---p 00003000 fd:00 820171                     /usr/lib64/libdl-2.18.so
7fb904c25000-7fb904c26000 r--p 00002000 fd:00 820171                     /usr/lib64/libdl-2.18.so
7fb904c26000-7fb904c27000 rw-p 00003000 fd:00 820171                     /usr/lib64/libdl-2.18.so
7fb904c27000-7fb904c3f000 r-xp 00000000 fd:00 787919                     /usr/lib64/libpthread-2.18.so
7fb904c3f000-7fb904e3e000 ---p 00018000 fd:00 787919                     /usr/lib64/libpthread-2.18.so
7fb904e3e000-7fb904e3f000 r--p 00017000 fd:00 787919                     /usr/lib64/libpthread-2.18.so
7fb904e3f000-7fb904e40000 rw-p 00018000 fd:00 787919                     /usr/lib64/libpthread-2.18.so
7fb904e40000-7fb904e44000 rw-p 00000000 00:00 0 
7fb904e44000-7fb904e7e000 r-xp 00000000 fd:00 816173                     /usr/lib64/libnspr4.so
7fb904e7e000-7fb90507d000 ---p 0003a000 fd:00 816173                     /usr/lib64/libnspr4.so
7fb90507d000-7fb90507e000 r--p 00039000 fd:00 816173                     /usr/lib64/libnspr4.so
7fb90507e000-7fb905080000 rw-p 0003a000 fd:00 816173                     /usr/lib64/libnspr4.so
7fb905080000-7fb905082000 rw-p 00000000 00:00 0 
7fb905082000-7fb905086000 r-xp 00000000 fd:00 787088                     /usr/lib64/libplc4.so
7fb905086000-7fb905285000 ---p 00004000 fd:00 787088                     /usr/lib64/libplc4.so
7fb905285000-7fb905286000 r--p 00003000 fd:00 787088                     /usr/lib64/libplc4.so
7fb905286000-7fb905287000 rw-p 00004000 fd:00 787088                     /usr/lib64/libplc4.so
7fb905287000-7fb90528a000 r-xp 00000000 fd:00 801565                     /usr/lib64/libplds4.so
7fb90528a000-7fb905489000 ---p 00003000 fd:00 801565                     /usr/lib64/libplds4.so
7fb905489000-7fb90548a000 r--p 00002000 fd:00 801565                     /usr/lib64/libplds4.so
7fb90548a000-7fb90548b000 rw-p 00003000 fd:00 801565                     /usr/lib64/libplds4.so
7fb90548b000-7fb9054b0000 r-xp 00000000 fd:00 788630                     /usr/lib64/libnssutil3.so
7fb9054b0000-7fb9056b0000 ---p 00025000 fd:00 788630                     /usr/lib64/libnssutil3.so
7fb9056b0000-7fb9056b6000 r--p 00025000 fd:00 788630                     /usr/lib64/libnssutil3.so
7fb9056b6000-7fb9056b7000 rw-p 0002b000 fd:00 788630                     /usr/lib64/libnssutil3.so
7fb9056b7000-7fb9057f6000 r-xp 00000000 fd:00 801991                     /usr/lib64/libnss3.so
7fb9057f6000-7fb9059f6000 ---p 0013f000 fd:00 801991                     /usr/lib64/libnss3.so
7fb9059f6000-7fb9059fb000 r--p 0013f000 fd:00 801991                     /usr/lib64/libnss3.so
7fb9059fb000-7fb9059fe000 rw-p 00144000 fd:00 801991                     /usr/lib64/libnss3.so
7fb9059fe000-7fb9059ff000 rw-p 00000000 00:00 0 
7fb9059ff000-7fb905a28000 r-xp 00000000 fd:00 809086                     /usr/lib64/libsmime3.so
7fb905a28000-7fb905c27000 ---p 00029000 fd:00 809086                     /usr/lib64/libsmime3.so
7fb905c27000-7fb905c2b000 r--p 00028000 fd:00 809086                     /usr/lib64/libsmime3.so
7fb905c2b000-7fb905c2c000 rw-p 0002c000 fd:00 809086                     /usr/lib64/libsmime3.so
7fb905c2c000-7fb905c66000 r-xp 00000000 fd:00 827633                     /usr/lib64/libssl3.so
7fb905c66000-7fb905e66000 ---p 0003a000 fd:00 827633                     /usr/lib64/libssl3.so
7fb905e66000-7fb905e69000 r--p 0003a000 fd:00 827633                     /usr/lib64/libssl3.so
7fb905e69000-7fb905e6a000 rw-p 0003d000 fd:00 827633                     /usr/lib64/libssl3.so
7fb905e6a000-7fb905e6b000 rw-p 00000000 00:00 0 
7fb905e6b000-7fb905e6f000 r-xp 00000000 fd:00 799669                     /usr/lib64/libuuid.so.1.3.0
7fb905e6f000-7fb90606e000 ---p 00004000 fd:00 799669                     /usr/lib64/libuuid.so.1.3.0
7fb90606e000-7fb90606f000 r--p 00003000 fd:00 799669                     /usr/lib64/libuuid.so.1.3.0
7fb90606f000-7fb906070000 rw-p 00004000 fd:00 799669                     /usr/lib64/libuuid.so.1.3.0
7fb906070000-7fb9060b3000 r-xp 00000000 fd:00 808343                     /usr/lib64/libnm-glib.so.4.7.0
7fb9060b3000-7fb9062b2000 ---p 00043000 fd:00 808343                     /usr/lib64/libnm-glib.so.4.7.0
7fb9062b2000-7fb9062b4000 r--p 00042000 fd:00 808343                     /usr/lib64/libnm-glib.so.4.7.0
7fb9062b4000-7fb9062b5000 rw-p 00044000 fd:00 808343                     /usr/lib64/libnm-glib.so.4.7.0
7fb9062b5000-7fb9062b6000 rw-p 00000000 00:00 0 
7fb9062b6000-7fb90631c000 r-xp 00000000 fd:00 808541                     /usr/lib64/libnm-util.so.2.5.0
7fb90631c000-7fb90651c000 ---p 00066000 fd:00 808541                     /usr/lib64/libnm-util.so.2.5.0
7fb90651c000-7fb90651e000 r--p 00066000 fd:00 808541                     /usr/lib64/libnm-util.so.2.5.0
7fb90651e000-7fb906520000 rw-p 00068000 fd:00 808541                     /usr/lib64/libnm-util.so.2.5.0
7fb906520000-7fb906540000 r-xp 00000000 fd:00 809120                     /usr/lib64/ld-2.18.so
7fb906701000-7fb906703000 rw-p 00000000 00:00 0 
7fb906703000-7fb906704000 rw-p 00000000 00:00 0 
7fb906704000-7fb906705000 rw-p 00000000 00:00 0 
7fb906705000-7fb906706000 rw-p 00000000 00:00 0 
7fb906706000-7fb906707000 rw-p 00000000 00:00 0 
7fb906707000-7fb906708000 rw-p 00000000 00:00 0 
7fb906708000-7fb906709000 rw-p 00000000 00:00 0 
7fb906709000-7fb90670a000 rw-p 00000000 00:00 0 
7fb90670a000-7fb90670b000 rw-p 00000000 00:00 0 
7fb90670b000-7fb90670c000 rw-p 00000000 00:00 0 
7fb90670c000-7fb90670d000 rw-p 00000000 00:00 0 
7fb90670d000-7fb90670e000 rw-p 00000000 00:00 0 
7fb90670e000-7fb90670f000 rw-p 00000000 00:00 0 
7fb90670f000-7fb906710000 rw-p 00000000 00:00 0 
7fb90673d000-7fb90673e000 rw-p 00000000 00:00 0 
7fb90673e000-7fb90673f000 rw-p 00000000 00:00 0 
7fb90673f000-7fb906740000 r--p 0001f000 fd:00 809120                     /usr/lib64/ld-2.18.so
7fb906740000-7fb906741000 rw-p 00020000 fd:00 809120                     /usr/lib64/ld-2.18.so
7fb906741000-7fb906742000 rw-p 00000000 00:00 0 
7fb906742000-7fb90679a000 r-xp 00000000 fd:00 815655                     /usr/bin/nmcli
7fb906999000-7fb90699c000 r--p 00057000 fd:00 815655                     /usr/bin/nmcli
7fb90699c000-7fb9069a3000 rw-p 0005a000 fd:00 815655                     /usr/bin/nmcli
7fb908239000-7fb90825a000 rw-p 00000000 00:00 0                          [heap]
7fb90825a000-7fb90827b000 rw-p 00000000 00:00 0                          [heap]
7fb90827b000-7fb90829c000 rw-p 00000000 00:00 0                          [heap]
7fb90829c000-7fb9082bc000 rw-p 00000000 00:00 0                          [heap]
7fff2048b000-7fff204ac000 rw-p 00000000 00:00 0                          [stack]
7fff204d4000-7fff204d6000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
/sbin/ifup: line 74:  2464 Aborted                 nmcli con up uuid "$UUID"
[root@Waves ~]# ifconfig 
em1: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet6 fe80::8e89:a5ff:fec1:1ac2  prefixlen 64  scopeid 0x20<link>
        ether 8c:89:a5:c1:1a:c2  txqueuelen 1000  (Ethernet)
        RX packets 5  bytes 706 (706.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 175  bytes 19835 (19.3 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
        device interrupt 20  memory 0xf4f00000-f4f20000  

em1.8: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 172.27.1.3  netmask 255.255.0.0  broadcast 172.27.255.255
        inet6 fe80::8e89:a5ff:fec1:1ac2  prefixlen 64  scopeid 0x20<link>
        ether 8c:89:a5:c1:1a:c2  txqueuelen 0  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 135  bytes 9659 (9.4 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 0  (Local Loopback)
        RX packets 254  bytes 24232 (23.6 KiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 254  bytes 24232 (23.6 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

virbr0: flags=4099<UP,BROADCAST,MULTICAST>  mtu 1500
        inet 192.168.122.1  netmask 255.255.255.0  broadcast 192.168.122.255
        ether 52:54:00:3c:52:3b  txqueuelen 0  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

virbr1: flags=4099<UP,BROADCAST,MULTICAST>  mtu 1500
        inet 172.20.20.1  netmask 255.255.255.0  broadcast 172.20.20.255
        ether 52:54:00:56:c8:4c  txqueuelen 0  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

[root@Waves ~]# ifup em1
*** Error in `nmcli': double free or corruption (fasttop): 0x00007f47851130a0 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x75cff)[0x7f4780707cff]
/lib64/libc.so.6(+0x7cff8)[0x7f478070eff8]
/lib64/libglib-2.0.so.0(g_free+0xf)[0x7f4780a9ff7f]
/lib64/libnm-glib.so.4(+0x1fb37)[0x7f478321db37]
nmcli(+0x25110)[0x7f47838f5110]
nmcli(+0x26bc4)[0x7f47838f6bc4]
/lib64/libgobject-2.0.so.0(+0x104c7)[0x7f4780d8d4c7]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x479)[0x7f4780da6749]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x8f)[0x7f4780da73af]
/lib64/libnm-glib.so.4(+0x2a1f8)[0x7f47832281f8]
/lib64/libgio-2.0.so.0(g_simple_async_result_complete+0x87)[0x7f47818bb787]
/lib64/libnm-glib.so.4(+0x26d6b)[0x7f4783224d6b]
/lib64/libnm-glib.so.4(+0x26f71)[0x7f4783224f71]
/lib64/libdbus-1.so.3(+0xcad2)[0x7f47811e4ad2]
/lib64/libdbus-1.so.3(dbus_connection_dispatch+0xa1)[0x7f47811e7dc1]
/lib64/libdbus-glib-1.so.2(+0xad65)[0x7f478142ad65]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x166)[0x7f4780a9a2a6]
/lib64/libglib-2.0.so.0(+0x49628)[0x7f4780a9a628]
/lib64/libglib-2.0.so.0(g_main_loop_run+0x6a)[0x7f4780a9aa3a]
nmcli(main+0x225)[0x7f47838e4b15]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x7f47806b3d65]
nmcli(+0x14c45)[0x7f47838e4c45]
======= Memory map: ========
7f4777ed0000-7f4777f4a000 r-xp 00000000 fd:00 833016                     /usr/lib64/libfreebl3.so
7f4777f4a000-7f4778149000 ---p 0007a000 fd:00 833016                     /usr/lib64/libfreebl3.so
7f4778149000-7f477814b000 r--p 00079000 fd:00 833016                     /usr/lib64/libfreebl3.so
7f477814b000-7f477814c000 rw-p 0007b000 fd:00 833016                     /usr/lib64/libfreebl3.so
7f477814c000-7f4778150000 rw-p 00000000 00:00 0 
7f4778150000-7f4778208000 r-xp 00000000 fd:00 834167                     /usr/lib64/libsqlite3.so.0.8.6
7f4778208000-7f4778408000 ---p 000b8000 fd:00 834167                     /usr/lib64/libsqlite3.so.0.8.6
7f4778408000-7f477840a000 r--p 000b8000 fd:00 834167                     /usr/lib64/libsqlite3.so.0.8.6
7f477840a000-7f477840d000 rw-p 000ba000 fd:00 834167                     /usr/lib64/libsqlite3.so.0.8.6
7f477840d000-7f477844f000 r-xp 00000000 fd:00 807781                     /usr/lib64/libsoftokn3.so
7f477844f000-7f477864e000 ---p 00042000 fd:00 807781                     /usr/lib64/libsoftokn3.so
7f477864e000-7f4778650000 r--p 00041000 fd:00 807781                     /usr/lib64/libsoftokn3.so
7f4778650000-7f4778651000 rw-p 00043000 fd:00 807781                     /usr/lib64/libsoftokn3.so
7f4778651000-7f477eb7a000 r--p 00000000 fd:00 815527                     /usr/lib/locale/locale-archive
7f477eb7a000-7f477eb7b000 ---p 00000000 00:00 0 
7f477eb7b000-7f477f37b000 rw-p 00000000 00:00 0                          [stack:2495]
7f477f37b000-7f477f390000 r-xp 00000000 fd:00 788071                     /usr/lib64/libgcc_s-4.8.2-20131212.so.1
7f477f390000-7f477f58f000 ---p 00015000 fd:00 788071                     /usr/lib64/libgcc_s-4.8.2-20131212.so.1
7f477f58f000-7f477f590000 r--p 00014000 fd:00 788071                     /usr/lib64/libgcc_s-4.8.2-20131212.so.1
7f477f590000-7f477f591000 rw-p 00015000 fd:00 788071                     /usr/lib64/libgcc_s-4.8.2-20131212.so.1
7f477f591000-7f477f5b5000 r-xp 00000000 fd:00 805417                     /usr/lib64/liblzma.so.5.0.99
7f477f5b5000-7f477f7b4000 ---p 00024000 fd:00 805417                     /usr/lib64/liblzma.so.5.0.99
7f477f7b4000-7f477f7b5000 r--p 00023000 fd:00 805417                     /usr/lib64/liblzma.so.5.0.99
7f477f7b5000-7f477f7b6000 rw-p 00024000 fd:00 805417                     /usr/lib64/liblzma.so.5.0.99
7f477f7b6000-7f477f81b000 r-xp 00000000 fd:00 786497                     /usr/lib64/libpcre.so.1.2.1
7f477f81b000-7f477fa1a000 ---p 00065000 fd:00 786497                     /usr/lib64/libpcre.so.1.2.1
7f477fa1a000-7f477fa1b000 r--p 00064000 fd:00 786497                     /usr/lib64/libpcre.so.1.2.1
7f477fa1b000-7f477fa1c000 rw-p 00065000 fd:00 786497                     /usr/lib64/libpcre.so.1.2.1
7f477fa1c000-7f477fa2c000 r-xp 00000000 fd:00 816565                     /usr/lib64/libudev.so.1.4.0
7f477fa2c000-7f477fc2c000 ---p 00010000 fd:00 816565                     /usr/lib64/libudev.so.1.4.0
7f477fc2c000-7f477fc2d000 r--p 00010000 fd:00 816565                     /usr/lib64/libudev.so.1.4.0
7f477fc2d000-7f477fc2e000 rw-p 00011000 fd:00 816565                     /usr/lib64/libudev.so.1.4.0
7f477fc2e000-7f477fc44000 r-xp 00000000 fd:00 821358                     /usr/lib64/libresolv-2.18.so
7f477fc44000-7f477fe44000 ---p 00016000 fd:00 821358                     /usr/lib64/libresolv-2.18.so
7f477fe44000-7f477fe45000 r--p 00016000 fd:00 821358                     /usr/lib64/libresolv-2.18.so
7f477fe45000-7f477fe46000 rw-p 00017000 fd:00 821358                     /usr/lib64/libresolv-2.18.so
7f477fe46000-7f477fe48000 rw-p 00000000 00:00 0 
7f477fe48000-7f477fe69000 r-xp 00000000 fd:00 814709                     /usr/lib64/libselinux.so.1
7f477fe69000-7f4780068000 ---p 00021000 fd:00 814709                     /usr/lib64/libselinux.so.1
7f4780068000-7f4780069000 r--p 00020000 fd:00 814709                     /usr/lib64/libselinux.so.1
7f4780069000-7f478006a000 rw-p 00021000 fd:00 814709                     /usr/lib64/libselinux.so.1
7f478006a000-7f478006c000 rw-p 00000000 00:00 0 
7f478006c000-7f4780073000 r-xp 00000000 fd:00 797469                     /usr/lib64/libffi.so.6.0.1
7f4780073000-7f4780272000 ---p 00007000 fd:00 797469                     /usr/lib64/libffi.so.6.0.1
7f4780272000-7f4780273000 r--p 00006000 fd:00 797469                     /usr/lib64/libffi.so.6.0.1
7f4780273000-7f4780274000 rw-p 00007000 fd:00 797469                     /usr/lib64/libffi.so.6.0.1
7f4780274000-7f478027b000 r-xp 00000000 fd:00 822089                     /usr/lib64/librt-2.18.so
7f478027b000-7f478047a000 ---p 00007000 fd:00 822089                     /usr/lib64/librt-2.18.so
7f478047a000-7f478047b000 r--p 00006000 fd:00 822089                     /usr/lib64/librt-2.18.so
7f478047b000-7f478047c000 rw-p 00007000 fd:00 822089                     /usr/lib64/librt-2.18.so
7f478047c000-7f4780491000 r-xp 00000000 fd:00 831910                     /usr/lib64/libz.so.1.2.8
7f4780491000-7f4780690000 ---p 00015000 fd:00 831910                     /usr/lib64/libz.so.1.2.8
7f4780690000-7f4780691000 r--p 00014000 fd:00 831910                     /usr/lib64/libz.so.1.2.8
7f4780691000-7f4780692000 rw-p 00015000 fd:00 831910                     /usr/lib64/libz.so.1.2.8
7f4780692000-7f4780846000 r-xp 00000000 fd:00 786092                     /usr/lib64/libc-2.18.so
7f4780846000-7f4780a46000 ---p 001b4000 fd:00 786092                     /usr/lib64/libc-2.18.so
7f4780a46000-7f4780a4a000 r--p 001b4000 fd:00 786092                     /usr/lib64/libc-2.18.so
7f4780a4a000-7f4780a4c000 rw-p 001b8000 fd:00 786092                     /usr/lib64/libc-2.18.so
7f4780a4c000-7f4780a51000 rw-p 00000000 00:00 0 
7f4780a51000-7f4780b7a000 r-xp 00000000 fd:00 808966                     /usr/lib64/libglib-2.0.so.0.3800.2
7f4780b7a000-7f4780d7a000 ---p 00129000 fd:00 808966                     /usr/lib64/libglib-2.0.so.0.3800.2
7f4780d7a000-7f4780d7b000 r--p 00129000 fd:00 808966                     /usr/lib64/libglib-2.0.so.0.3800.2
7f4780d7b000-7f4780d7c000 rw-p 0012a000 fd:00 808966                     /usr/lib64/libglib-2.0.so.0.3800.2
7f4780d7c000-7f4780d7d000 rw-p 00000000 00:00 0 
7f4780d7d000-7f4780dcc000 r-xp 00000000 fd:00 832731                     /usr/lib64/libgobject-2.0.so.0.3800.2
7f4780dcc000-7f4780fcc000 ---p 0004f000 fd:00 832731                     /usr/lib64/libgobject-2.0.so.0.3800.2
7f4780fcc000-7f4780fcd000 r--p 0004f000 fd:00 832731                     /usr/lib64/libgobject-2.0.so.0.3800.2
7f4780fcd000-7f4780fce000 rw-p 00050000 fd:00 832731                     /usr/lib64/libgobject-2.0.so.0.3800.2
7f4780fce000-7f4780fd7000 r-xp 00000000 fd:00 804418                     /usr/lib64/libgudev-1.0.so.0.1.3
7f4780fd7000-7f47811d6000 ---p 00009000 fd:00 804418                     /usr/lib64/libgudev-1.0.so.0.1.3
7f47811d6000-7f47811d7000 r--p 00008000 fd:00 804418                     /usr/lib64/libgudev-1.0.so.0.1.3
7f47811d7000-7f47811d8000 rw-p 00000000 00:00 0 
7f47811d8000-7f478121e000 r-xp 00000000 fd:00 802917                     /usr/lib64/libdbus-1.so.3.7.4
7f478121e000-7f478141e000 ---p 00046000 fd:00 802917                     /usr/lib64/libdbus-1.so.3.7.4
7f478141e000-7f478141f000 r--p 00046000 fd:00 802917                     /usr/lib64/libdbus-1.so.3.7.4
7f478141f000-7f4781420000 rw-p 00047000 fd:00 802917                     /usr/lib64/libdbus-1.so.3.7.4
7f4781420000-7f4781446000 r-xp 00000000 fd:00 823930                     /usr/lib64/libdbus-glib-1.so.2.2.2
7f4781446000-7f4781646000 ---p 00026000 fd:00 823930                     /usr/lib64/libdbus-glib-1.so.2.2.2
7f4781646000-7f4781647000 r--p 00026000 fd:00 823930                     /usr/lib64/libdbus-glib-1.so.2.2.2
7f4781647000-7f4781648000 rw-p 00027000 fd:00 823930                     /usr/lib64/libdbus-glib-1.so.2.2.2
7f4781648000-7f478164b000 r-xp 00000000 fd:00 798700                     /usr/lib64/libgmodule-2.0.so.0.3800.2
7f478164b000-7f478184a000 ---p 00003000 fd:00 798700                     /usr/lib64/libgmodule-2.0.so.0.3800.2
7f478184a000-7f478184b000 r--p 00002000 fd:00 798700                     /usr/lib64/libgmodule-2.0.so.0.3800.2
7f478184b000-7f478184c000 rw-p 00003000 fd:00 798700                     /usr/lib64/libgmodule-2.0.so.0.3800.2
7f478184c000-7f47819aa000 r-xp 00000000 fd:00 804266                     /usr/lib64/libgio-2.0.so.0.3800.2
7f47819aa000-7f4781ba9000 ---p 0015e000 fd:00 804266                     /usr/lib64/libgio-2.0.so.0.3800.2
7f4781ba9000-7f4781bad000 r--p 0015d000 fd:00 804266                     /usr/lib64/libgio-2.0.so.0.3800.2
7f4781bad000-7f4781baf000 rw-p 00161000 fd:00 804266                     /usr/lib64/libgio-2.0.so.0.3800.2
7f4781baf000-7f4781bb1000 rw-p 00000000 00:00 0 
7f4781bb1000-7f4781bb4000 r-xp 00000000 fd:00 820171                     /usr/lib64/libdl-2.18.so
7f4781bb4000-7f4781db3000 ---p 00003000 fd:00 820171                     /usr/lib64/libdl-2.18.so
7f4781db3000-7f4781db4000 r--p 00002000 fd:00 820171                     /usr/lib64/libdl-2.18.so
7f4781db4000-7f4781db5000 rw-p 00003000 fd:00 820171                     /usr/lib64/libdl-2.18.so
7f4781db5000-7f4781dcd000 r-xp 00000000 fd:00 787919                     /usr/lib64/libpthread-2.18.so
7f4781dcd000-7f4781fcc000 ---p 00018000 fd:00 787919                     /usr/lib64/libpthread-2.18.so
7f4781fcc000-7f4781fcd000 r--p 00017000 fd:00 787919                     /usr/lib64/libpthread-2.18.so
7f4781fcd000-7f4781fce000 rw-p 00018000 fd:00 787919                     /usr/lib64/libpthread-2.18.so
7f4781fce000-7f4781fd2000 rw-p 00000000 00:00 0 
7f4781fd2000-7f478200c000 r-xp 00000000 fd:00 816173                     /usr/lib64/libnspr4.so
7f478200c000-7f478220b000 ---p 0003a000 fd:00 816173                     /usr/lib64/libnspr4.so
7f478220b000-7f478220c000 r--p 00039000 fd:00 816173                     /usr/lib64/libnspr4.so
7f478220c000-7f478220e000 rw-p 0003a000 fd:00 816173                     /usr/lib64/libnspr4.so
7f478220e000-7f4782210000 rw-p 00000000 00:00 0 
7f4782210000-7f4782214000 r-xp 00000000 fd:00 787088                     /usr/lib64/libplc4.so
7f4782214000-7f4782413000 ---p 00004000 fd:00 787088                     /usr/lib64/libplc4.so
7f4782413000-7f4782414000 r--p 00003000 fd:00 787088                     /usr/lib64/libplc4.so
7f4782414000-7f4782415000 rw-p 00004000 fd:00 787088                     /usr/lib64/libplc4.so
7f4782415000-7f4782418000 r-xp 00000000 fd:00 801565                     /usr/lib64/libplds4.so
7f4782418000-7f4782617000 ---p 00003000 fd:00 801565                     /usr/lib64/libplds4.so
7f4782617000-7f4782618000 r--p 00002000 fd:00 801565                     /usr/lib64/libplds4.so
7f4782618000-7f4782619000 rw-p 00003000 fd:00 801565                     /usr/lib64/libplds4.so
7f4782619000-7f478263e000 r-xp 00000000 fd:00 788630                     /usr/lib64/libnssutil3.so
7f478263e000-7f478283e000 ---p 00025000 fd:00 788630                     /usr/lib64/libnssutil3.so
7f478283e000-7f4782844000 r--p 00025000 fd:00 788630                     /usr/lib64/libnssutil3.so
7f4782844000-7f4782845000 rw-p 0002b000 fd:00 788630                     /usr/lib64/libnssutil3.so
7f4782845000-7f4782984000 r-xp 00000000 fd:00 801991                     /usr/lib64/libnss3.so
7f4782984000-7f4782b84000 ---p 0013f000 fd:00 801991                     /usr/lib64/libnss3.so
7f4782b84000-7f4782b89000 r--p 0013f000 fd:00 801991                     /usr/lib64/libnss3.so
7f4782b89000-7f4782b8c000 rw-p 00144000 fd:00 801991                     /usr/lib64/libnss3.so
7f4782b8c000-7f4782b8d000 rw-p 00000000 00:00 0 
7f4782b8d000-7f4782bb6000 r-xp 00000000 fd:00 809086                     /usr/lib64/libsmime3.so
7f4782bb6000-7f4782db5000 ---p 00029000 fd:00 809086                     /usr/lib64/libsmime3.so
7f4782db5000-7f4782db9000 r--p 00028000 fd:00 809086                     /usr/lib64/libsmime3.so
7f4782db9000-7f4782dba000 rw-p 0002c000 fd:00 809086                     /usr/lib64/libsmime3.so
7f4782dba000-7f4782df4000 r-xp 00000000 fd:00 827633                     /usr/lib64/libssl3.so
7f4782df4000-7f4782ff4000 ---p 0003a000 fd:00 827633                     /usr/lib64/libssl3.so
7f4782ff4000-7f4782ff7000 r--p 0003a000 fd:00 827633                     /usr/lib64/libssl3.so
7f4782ff7000-7f4782ff8000 rw-p 0003d000 fd:00 827633                     /usr/lib64/libssl3.so
7f4782ff8000-7f4782ff9000 rw-p 00000000 00:00 0 
7f4782ff9000-7f4782ffd000 r-xp 00000000 fd:00 799669                     /usr/lib64/libuuid.so.1.3.0
7f4782ffd000-7f47831fc000 ---p 00004000 fd:00 799669                     /usr/lib64/libuuid.so.1.3.0
7f47831fc000-7f47831fd000 r--p 00003000 fd:00 799669                     /usr/lib64/libuuid.so.1.3.0
7f47831fd000-7f47831fe000 rw-p 00004000 fd:00 799669                     /usr/lib64/libuuid.so.1.3.0
7f47831fe000-7f4783241000 r-xp 00000000 fd:00 808343                     /usr/lib64/libnm-glib.so.4.7.0
7f4783241000-7f4783440000 ---p 00043000 fd:00 808343                     /usr/lib64/libnm-glib.so.4.7.0
7f4783440000-7f4783442000 r--p 00042000 fd:00 808343                     /usr/lib64/libnm-glib.so.4.7.0
7f4783442000-7f4783443000 rw-p 00044000 fd:00 808343                     /usr/lib64/libnm-glib.so.4.7.0
7f4783443000-7f4783444000 rw-p 00000000 00:00 0 
7f4783444000-7f47834aa000 r-xp 00000000 fd:00 808541                     /usr/lib64/libnm-util.so.2.5.0
7f47834aa000-7f47836aa000 ---p 00066000 fd:00 808541                     /usr/lib64/libnm-util.so.2.5.0
7f47836aa000-7f47836ac000 r--p 00066000 fd:00 808541                     /usr/lib64/libnm-util.so.2.5.0
7f47836ac000-7f47836ae000 rw-p 00068000 fd:00 808541                     /usr/lib64/libnm-util.so.2.5.0
7f47836ae000-7f47836ce000 r-xp 00000000 fd:00 809120                     /usr/lib64/ld-2.18.so
7f478388f000-7f4783891000 rw-p 00000000 00:00 0 
7f4783891000-7f4783892000 rw-p 00000000 00:00 0 
7f4783892000-7f4783893000 rw-p 00000000 00:00 0 
7f4783893000-7f4783894000 rw-p 00000000 00:00 0 
7f4783894000-7f4783895000 rw-p 00000000 00:00 0 
7f4783895000-7f4783896000 rw-p 00000000 00:00 0 
7f4783896000-7f4783897000 rw-p 00000000 00:00 0 
7f4783897000-7f4783898000 rw-p 00000000 00:00 0 
7f4783898000-7f4783899000 rw-p 00000000 00:00 0 
7f4783899000-7f478389a000 rw-p 00000000 00:00 0 
7f478389a000-7f478389b000 rw-p 00000000 00:00 0 
7f478389b000-7f478389c000 rw-p 00000000 00:00 0 
7f478389c000-7f478389d000 rw-p 00000000 00:00 0 
7f478389d000-7f478389e000 rw-p 00000000 00:00 0 
7f47838cb000-7f47838cc000 rw-p 00000000 00:00 0 
7f47838cc000-7f47838cd000 rw-p 00000000 00:00 0 
7f47838cd000-7f47838ce000 r--p 0001f000 fd:00 809120                     /usr/lib64/ld-2.18.so
7f47838ce000-7f47838cf000 rw-p 00020000 fd:00 809120                     /usr/lib64/ld-2.18.so
7f47838cf000-7f47838d0000 rw-p 00000000 00:00 0 
7f47838d0000-7f4783928000 r-xp 00000000 fd:00 815655                     /usr/bin/nmcli
7f4783b27000-7f4783b2a000 r--p 00057000 fd:00 815655                     /usr/bin/nmcli
7f4783b2a000-7f4783b31000 rw-p 0005a000 fd:00 815655                     /usr/bin/nmcli
7f4785103000-7f4785124000 rw-p 00000000 00:00 0                          [heap]
7f4785124000-7f4785145000 rw-p 00000000 00:00 0                          [heap]
7f4785145000-7f4785166000 rw-p 00000000 00:00 0                          [heap]
7f4785166000-7f4785186000 rw-p 00000000 00:00 0                          [heap]
7fffdf3fd000-7fffdf41e000 rw-p 00000000 00:00 0                          [stack]
7fffdf520000-7fffdf522000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
/sbin/ifup: line 74:  2494 Aborted                 nmcli con up uuid "$UUID"

Comment 1 Jirka Klimes 2014-02-17 14:55:54 UTC
I can't reproduce that. Would you mind running the nmcli command for me in valgrind?

$ nmcli con show | grep em1
take the uuid and put that in next command

$ valgrind nmcli con up uuid <uuid from the previous command>

Or could edit /sbin/ifup and put valgrind before 'nmcli con up uuid "$UUID"'?

Comment 2 D.S. Ljungmark 2014-02-17 21:13:41 UTC
Not sure which of these you mean:
[root@Waves ~]# nmcli con show 
NAME             UUID                                  TYPE             TIMESTAMP-REAL           
Auto Ethernet    367f2202-d062-4c38-a9f4-d5be9ae387ef  802-3-ethernet   mån 17 feb 2014 22:09:12 
Auto Terrad.net  ca4ac147-d999-4805-94f4-79ef8f17201c  802-11-wireless  never                    
Darkmere         73771fae-1cdc-b68b-632c-312f9aa400f7  vlan             mån 17 feb 2014 22:09:12 


It happens mostly when I was messing around with the router, ( which indicates that it's triggerable via network. woups) 

I'll see if I can try it out when I'm not bringing the net down for everyone in the apartment.

Comment 3 Jirka Klimes 2014-02-19 08:38:14 UTC
ifup command calls nmcli, and it crashed.

The issued command is
$ nmcli con up uuid 367f2202-d062-4c38-a9f4-d5be9ae387ef

If you can run it using valgrind (or gdb) that would be great.

$ valgrind nmcli con up uuid 367f2202-d062-4c38-a9f4-d5be9ae387ef

The commands can be run as an ordinary user.

Comment 4 D.S. Ljungmark 2014-02-23 18:33:35 UTC
[spider@Waves]~% valgrind nmcli con up uuid 73771fae-1cdc-b68b-632c-312f9aa400f7
==9358== Memcheck, a memory error detector
==9358== Copyright (C) 2002-2013, and GNU GPL'd, by Julian Seward et al.
==9358== Using Valgrind-3.9.0 and LibVEX; rerun with -h for copyright info
==9358== Command: nmcli con up uuid 73771fae-1cdc-b68b-632c-312f9aa400f7
==9358== 
==9358== Invalid free() / delete / delete[] / realloc()
==9358==    at 0x4C28577: free (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==9358==    by 0x77B0F7E: g_free (in /usr/lib64/libglib-2.0.so.0.3800.2)
==9358==    by 0x50BAB36: ??? (in /usr/lib64/libnm-glib.so.4.7.0)
==9358==    by 0x12D10F: ??? (in /usr/bin/nmcli)
==9358==    by 0x12EBC3: ??? (in /usr/bin/nmcli)
==9358==    by 0x75214C6: ??? (in /usr/lib64/libgobject-2.0.so.0.3800.2)
==9358==    by 0x753A748: g_signal_emit_valist (in /usr/lib64/libgobject-2.0.so.0.3800.2)
==9358==    by 0x753B3AE: g_signal_emit (in /usr/lib64/libgobject-2.0.so.0.3800.2)
==9358==    by 0x50C51F7: ??? (in /usr/lib64/libnm-glib.so.4.7.0)
==9358==    by 0x699D786: g_simple_async_result_complete (in /usr/lib64/libgio-2.0.so.0.3800.2)
==9358==    by 0x50C1D6A: ??? (in /usr/lib64/libnm-glib.so.4.7.0)
==9358==    by 0x50C1F70: ??? (in /usr/lib64/libnm-glib.so.4.7.0)
==9358==  Address 0x9323a10 is 0 bytes inside a block of size 32 free'd
==9358==    at 0x4C28577: free (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==9358==    by 0x77B0F7E: g_free (in /usr/lib64/libglib-2.0.so.0.3800.2)
==9358==    by 0x50BAC2C: ??? (in /usr/lib64/libnm-glib.so.4.7.0)
==9358==    by 0x12D10F: ??? (in /usr/bin/nmcli)
==9358==    by 0x12EBC3: ??? (in /usr/bin/nmcli)
==9358==    by 0x75214C6: ??? (in /usr/lib64/libgobject-2.0.so.0.3800.2)
==9358==    by 0x753A748: g_signal_emit_valist (in /usr/lib64/libgobject-2.0.so.0.3800.2)
==9358==    by 0x753B3AE: g_signal_emit (in /usr/lib64/libgobject-2.0.so.0.3800.2)
==9358==    by 0x50C51F7: ??? (in /usr/lib64/libnm-glib.so.4.7.0)
==9358==    by 0x699D786: g_simple_async_result_complete (in /usr/lib64/libgio-2.0.so.0.3800.2)
==9358==    by 0x50C1D6A: ??? (in /usr/lib64/libnm-glib.so.4.7.0)
==9358==    by 0x50C1F70: ??? (in /usr/lib64/libnm-glib.so.4.7.0)
==9358== 
Connection successfully activated (D-Bus active path: /org/freedesktop/NetworkManager/ActiveConnection/3)
==9358== 
==9358== HEAP SUMMARY:
==9358==     in use at exit: 262,192 bytes in 2,432 blocks
==9358==   total heap usage: 20,291 allocs, 17,860 frees, 1,093,953 bytes allocated
==9358== 
==9358== LEAK SUMMARY:
==9358==    definitely lost: 72 bytes in 1 blocks
==9358==    indirectly lost: 0 bytes in 0 blocks
==9358==      possibly lost: 38,467 bytes in 233 blocks
==9358==    still reachable: 201,549 bytes in 2,042 blocks
==9358==         suppressed: 0 bytes in 0 blocks
==9358== Rerun with --leak-check=full to see details of leaked memory
==9358== 
==9358== For counts of detected and suppressed errors, rerun with: -v
==9358== ERROR SUMMARY: 1 errors from 1 contexts (suppressed: 2 from 2)

Comment 5 Jirka Klimes 2015-02-19 10:22:27 UTC
I think there's no such crash with newer versions. If you agree, I would close the bug.

Comment 6 Lubomir Rintel 2015-02-24 10:03:31 UTC
Closing this.

If the issue still occur, please let ABRT handle it or install the deubginfo package first (debuginfo-install NetworkManager) and then obtain a traceback with gdb:

$ gdb nmcli
(gdb) run con up uuid 73771fae-1cdc-b68b-632c-312f9aa400f7
(gdb) thread apply all bt full

Thank you!


Note You need to log in before you can comment on or make changes to this bug.